SnmpVariation (Mibble 2.9.4 Documentation)
Date: 2016-09-27

net.percederberg.mibble.snmp

## Class SnmpVariation

- java.lang.Object
- - net.percederberg.mibble.snmp.SnmpVariation

-     public class SnmpVariation
      extends java.lang.Object

  An SNMP module variation value. This declaration is used inside a module support declaration.
  Since:
    2.0
  See Also:
    `SnmpModuleSupport`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SnmpVariation(MibValue value, MibType syntax, MibType writeSyntax, SnmpAccess access, java.util.ArrayList requiredCells, MibValue defaultValue, java.lang.String description)` Creates a new SNMP module variation.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SnmpAccess` | `getAccess()` Returns the access mode.
    `MibValueSymbol` | `getBaseSymbol()` Returns the base symbol that this variation applies to.
    `MibValue` | `getDefaultValue()` Returns the default value.
    `java.lang.String` | `getDescription()` Returns the variation description.
    `java.util.ArrayList` | `getRequiredCells()` Returns cell values required for creation.
    `MibType` | `getSyntax()` Returns the value syntax.
    `MibValue` | `getValue()` Returns the value.
    `MibType` | `getWriteSyntax()` Returns the value write syntax.
    `java.lang.String` | `toString()` Returns a string representation of this object.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SnmpVariation

          public SnmpVariation(MibValue value,
                               MibType syntax,
                               MibType writeSyntax,
                               SnmpAccess access,
                               java.util.ArrayList requiredCells,
                               MibValue defaultValue,
                               java.lang.String description)

      Creates a new SNMP module variation.
      Parameters:
        `value` - the variation value
        `syntax` - the value syntax, or null
        `writeSyntax` - the value write syntax, or null
        `access` - the access mode, or null
        `requiredCells` - the cell values required for creation
        `defaultValue` - the default value, or null
        `description` - the variation description

  - ### Method Detail

    - #### getBaseSymbol

          public MibValueSymbol getBaseSymbol()

      Returns the base symbol that this variation applies to.
      Returns:
        the base symbol that this variation applies to
      Since:
        2.8

    - #### getValue

          public MibValue getValue()

      Returns the value.
      Returns:
        the value

    - #### getSyntax

          public MibType getSyntax()

      Returns the value syntax.
      Returns:
        the value syntax, or null if not set

    - #### getWriteSyntax

          public MibType getWriteSyntax()

      Returns the value write syntax.
      Returns:
        the value write syntax, or null if not set

    - #### getAccess

          public SnmpAccess getAccess()

      Returns the access mode.
      Returns:
        the access mode, or null if not set

    - #### getRequiredCells

          public java.util.ArrayList getRequiredCells()

      Returns cell values required for creation. The returned list will consist of MibValue instances.
      Returns:
        cell values required for creation
      See Also:
        `MibValue`

    - #### getDefaultValue

          public MibValue getDefaultValue()

      Returns the default value.
      Returns:
        the default value, or null if no default value has been set

    - #### getDescription

          public java.lang.String getDescription()

      Returns the variation description.
      Returns:
        the variation description

    - #### toString

          public java.lang.String toString()

      Returns a string representation of this object.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        a string representation of this object